0 Replies Latest reply on Mar 28, 2015 5:06 PM by jessicab12207255

    I currently have Lightroom 4 installed on my mac with OS X 10.7.5,  I plan to upgrade to a new mac with the OS X 10.10.  Will my Lightroom 4 work with 10.10?  The adobe website says it is compatible with 10.68, 10.7, 10.8. I would then plan to upgrade my

    jessicab12207255

      I currently have Lightroom 4 installed on my mac with OS X 10.7.5,  I plan to upgrade to a new mac with the OS X 10.10.  Will my Lightroom 4 work with 10.10?  The adobe website says it is compatible only with 10.68, 10.7, 10.8. I would then plan to upgrade my catalogs to Lightroom 6 once it is released.  But, I have to get my Lightroom 4 with catalogs on to the mac with 10.10 first. Since Lightroom 6 is going to be released soon, I do not want to bother with the Lightroom 5 upgrade, though that appears to be compatible with both 10.7 and 10.10.